<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StorePaymentRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            'drive' => 'required',
            'cost' => 'required|numeric'
        ];

        if($this->input('drive')=='ขับ'){
            $rules = array_merge($rules,['type' => 'required']);
            $rules = array_merge($rules,['gear' => 'required']);
        }
        return $rules;
    }

    public function messages()
    {
        $msg = [
            'drive.required' => 'กรุณาเลือกประเภทการเรียน',
            'cost.required' => 'กรุณากรอกค่าจ้าง',
            'cost.numeric' => 'กรุณากรอกเป็นตัวเลข'
        ];
        if($this->input('drive')=='ขับ'){
            $msg = array_merge($msg,['type.required' => 'กรุณาเลือกประเภทยานพาหนะ']);
            $msg = array_merge($msg,['gear.required' => 'กรุณาเลือกประเภทเกียร์']);
        }

        return $msg;
    }
}
